Package healpix.essentials

## Class MocQuery

- java.lang.Object
- - healpix.essentials.MocQuery

    public class MocQuery
    extends java.lang.Object

Support for MOC queries.

### Nested Class Summary

Nested Classes
`static class` `MocQuery.MocQueryComponent`
`static class` `MocQuery.MocQueryOp`

### Constructor Summary

Constructors
`MocQuery()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Moc` `doMocQuery​(int order, java.util.ArrayList<MocQuery.MocQueryComponent> comp)`
`static Moc` `doMocQueryInclusive​(int order, int omax, java.util.ArrayList<MocQuery.MocQueryComponent> comp)`
`static java.util.ArrayList<MocQuery.MocQueryComponent>` `prepPolygon​(java.util.ArrayList<Vec3> vertex)`
`static java.util.ArrayList<MocQuery.MocQueryComponent>` `prepPolyHelper​(Vec3[] vv, int[] P, java.util.ArrayList<MocQuery.MocQueryComponent> comp, boolean doLast)`
`static Moc` `queryGeneralPolygon​(java.util.ArrayList<Vec3> vertex, int order)`
`static Moc` `queryGeneralPolygonInclusive​(java.util.ArrayList<Vec3> vertex, int order, int omax)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MocQuery

    public MocQuery()

### Method Detail

#### doMocQuery

    public static Moc doMocQuery​(int order,
                                 java.util.ArrayList<MocQuery.MocQueryComponent> comp)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### doMocQueryInclusive

    public static Moc doMocQueryInclusive​(int order,
                                          int omax,
                                          java.util.ArrayList<MocQuery.MocQueryComponent> comp)
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### prepPolyHelper

    public static java.util.ArrayList<MocQuery.MocQueryComponent> prepPolyHelper​(Vec3[] vv,
                                                                                 int[] P,
                                                                                 java.util.ArrayList<MocQuery.MocQueryComponent> comp,
                                                                                 boolean doLast)
                                                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### prepPolygon

    public static java.util.ArrayList<MocQuery.MocQueryComponent> prepPolygon​(java.util.ArrayList<Vec3> vertex)
                                                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### queryGeneralPolygon

    public static Moc queryGeneralPolygon​(java.util.ArrayList<Vec3> vertex,
                                          int order)
                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### queryGeneralPolygonInclusive

    public static Moc queryGeneralPolygonInclusive​(java.util.ArrayList<Vec3> vertex,
                                                   int order,
                                                   int omax)
                                            throws java.lang.Exception

Throws:
  `java.lang.Exception`